OpenVDB 7.0.0

Classes | Public Member Functions | List of all members
LeafManager< TreeT >::LeafRange Class Reference

`#include <LeafManager.h>`

## Classes
class | Iterator

## Public Member Functions
| LeafRange (size_t begin, size_t end, const LeafManager &leafManager, size_t grainSize=1)
Iterator | begin () const
Iterator | end () const
size_t | size () const
size_t | grainsize () const
const LeafManager & | leafManager () const
bool | empty () const
bool | is_divisible () const
| LeafRange (LeafRange &r, tbb::split)

## Constructor & Destructor Documentation

## ◆ LeafRange() [1/2]

LeafRange | ( | size_t | begin,
|  | size_t | end,
|  | const LeafManager & | leafManager,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## ◆ LeafRange() [2/2]

LeafRange | ( | LeafRange & | r,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ begin()

Iterator begin | ( |  | ) | const
| inline

## ◆ empty()

bool empty | ( |  | ) | const
| inline

## ◆ end()

Iterator end | ( |  | ) | const
| inline

## ◆ grainsize()

size_t grainsize | ( |  | ) | const
| inline

## ◆ is_divisible()

bool is_divisible | ( |  | ) | const
| inline

## ◆ leafManager()

const LeafManager& leafManager | ( |  | ) | const
| inline

## ◆ size()

size_t size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- LeafManager.h